@font-face {
    font-family: 'middleSong';
    src: url('../font/song.TTF')
}

@font-face {
    font-family: 'specialSong';
    src: url('../font/tesong.TTF')
}

body {
    height: 100%;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: middleSong;
}

/* 中雅宋 */
.middle {
    font-family: 'middleSong' !important;
}

.special-font {
    font-family: 'specialSong' !important;
}

a {
    display: block;
    text-decoration: none;
}

/*每个页面公共css */
.flex {
    display: flex;
    -webkit-display: flex;
}

.flex-wrap {
    flex-wrap: wrap;
}

.flex-direction {
    flex-direction: column;
}

.flex-wid {
    flex: 1;
    min-width: 1px;
}

.flex-hei {
    flex: 1;
    min-height: 1px;
}

.justify-center {
    justify-content: center;
}

.justify-end {
    justify-content: flex-end;
}

.justify-arround {
    justify-content: space-around;
}

.justify-start {
    justify-content: flex-start;
}

.justify-between {
    justify-content: space-between;
}

.align-center {
    align-items: center;
}

.align-start {
    align-items: flex-start;
}

.align-end {
    align-items: flex-end;
}

.f12 {
    font-size: .12rem;
}

.f13 {
    font-size: .13rem;
}

.f14 {
    font-size: .14rem;
}

.f15 {
    font-size: .15rem;
}

.f16 {
    font-size: .16rem;
}

.f17 {
    font-size: .17rem;
}

.f18 {
    font-size: .18rem;
}

.f19 {
    font-size: .19rem;
}

.f20 {
    font-size: .20rem;
}

.f21 {
    font-size: .21rem;
}

.f22 {
    font-size: .22rem;
}

.f23 {
    font-size: .23rem;
}

.f24 {
    font-size: .24rem;
}

.f30 {
    font-size: .30rem;
}

.f36 {
    font-size: .36rem;
}

.color_f {
    color: #fff;
}

.color_9520 {
    color: #952024;
}

.color_ffd7 {
    color: #FFD79F;
}

.word_row1 {
    text-overflow: -o-ellipsis-lastline;
    overflow: hidden;
    text-overflow: ellipsis;
    /* white-space: nowrap; */
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

.word_row2 {
    text-overflow: -o-ellipsis-lastline;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;

    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.word_row3 {
    text-overflow: -o-ellipsis-lastline;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

.scroll—y {
    overflow-y: scroll;
    height: 100%;
}

.scroll—y::-webkit-scrollbar {
    width: 0;
}
